Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.hubv3.session.impl
Class HubServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.hubv3.session.impl.HubServiceImpl

All Implemented Interfaces:
  HubService

    public class HubServiceImpl

extends Object
implements HubService

Implementation of `HubService`

Constructor Summary
`HubServiceImpl(SessionValidator sessionValidator)` Instantiates a new Hub Service.

Method Summary
`DeclareTransactionResponse` | `declareTransaction(KmehrHeaderDeclareTransaction kmehrHeader)` This operation should be used to declare a transaction within a hub.
`DeclareTransactionResponse` | `declareTransaction(KmehrHeaderDeclareTransaction kmehrHeader, String breakTheGlass)` This operation should be used to declare a transaction within a hub.
`GetAccessRightResponse` | `getAccessRight(TransactionIdType transaction)` This operation should be used to get access rights on a transaction within a hub.
`GetAccessRightResponse` | `getAccessRight(TransactionIdType transaction, String breakTheGlass)` This operation should be used to get access rights on a transaction within a hub.
`GetHCPartyResponse` | `getHCParty(HCPartyIdType hcParty)` This operation should be used to retrieve the data associated with a healthcare party within a hub.
`GetHCPartyResponse` | `getHCParty(HCPartyIdType hcParty, String breakTheGlass)` This operation should be used to retrieve the data associated with a healthcare party within a hub.
`GetHCPartyConsentResponse` | `getHCPartyConsent(HCPartyIdType hcPartyId)` This operation should be used to retrieve the consent of a healthcare party within a hub.
`GetHCPartyConsentResponse` | `getHCPartyConsent(HCPartyIdType hcPartyId, String breakTheGlass)` This operation should be used to retrieve the consent of a healthcare party within a hub.
`GetLatestUpdateResponse` | `getLatestUpdate(SelectGetLatestUpdateType latestUpdate)` This operation should be used to retrieve the time of the last change made to a transaction.
`GetLatestUpdateResponse` | `getLatestUpdate(SelectGetLatestUpdateType latestUpdate, String breakTheGlass)` This operation should be used to retrieve the time of the last change made to a transaction.
`GetPatientResponse` | `getPatient(PatientIdType patientId)` This operation should be used to declare the consent of an healthcare party within a hub.
`GetPatientResponse` | `getPatient(PatientIdType patientId, String breakTheGlass)` This operation should be used to declare the consent of an healthcare party within a hub.
`GetPatientAuditTrailResponse` | `getPatientAuditTrail(SelectGetPatientAuditTrailType patientAuditTrail)` This operation should be used to get the list of transaction accesses for a given patient.
`GetPatientAuditTrailResponse` | `getPatientAuditTrail(SelectGetPatientAuditTrailType patientAuditTrail, String breakTheGlass)` This operation should be used to get the list of transaction accesses for a given patient.
`GetPatientConsentResponse` | `getPatientConsent(SelectGetPatientConsentType patientConsent)` This operation should be used to retrieve the consent of a patient within a hub.
`GetPatientConsentResponse` | `getPatientConsent(SelectGetPatientConsentType patientConsent, String breakTheGlass)` This operation should be used to retrieve the consent of a patient within a hub.
`GetTherapeuticLinkResponse` | `getTherapeuticLink(SelectGetHCPartyPatientConsentType patientConsent)` This operation should be used to get therapeutic link between a patient and a healthcare party within a hub.
`GetTherapeuticLinkResponse` | `getTherapeuticLink(SelectGetHCPartyPatientConsentType patientConsent, String breakTheGlass)` This operation should be used to get therapeutic link between a patient and a healthcare party within a hub.
`GetTransactionResponse` | `getTransaction(PatientIdType patient, TransactionBaseType transaction)` This operation should be used to retrieve a transaction (given a transaction identifier) within a hub.
`GetTransactionResponse` | `getTransaction(PatientIdType patient, TransactionBaseType transaction, String breakTheGlass)` This operation should be used to retrieve a transaction (given a transaction identifier) within a hub.
`GetTransactionListResponse` | `getTransactionList(PatientIdType patient, LocalSearchType searchType, TransactionWithPeriodType transaction)` This operation should be used to get the list of available transactions that fulfill some given criteria.
`GetTransactionListResponse` | `getTransactionList(PatientIdType patient, LocalSearchType searchType, TransactionWithPeriodType transaction, Integer maxRows)` This operation should be used to get the list of available transactions that fulfill some given criteria.
`GetTransactionListResponse` | `getTransactionList(PatientIdType patient, LocalSearchType searchType, TransactionWithPeriodType transaction, String breakTheGlass)` This operation should be used to get the list of available transactions that fulfill some given criteria.
`GetTransactionListResponse` | `getTransactionList(PatientIdType patient, LocalSearchType searchType, TransactionWithPeriodType transaction, String breakTheGlass, Integer maxRows)` This operation should be used to get the list of available transactions that fulfill some given criteria.
`GetTransactionSetResponse` | `getTransactionSet(PatientIdType patient, TransactionBaseType transaction)` This operation should be used to retrieve a transaction set(given a transaction identifier) within a hub.
`GetTransactionSetResponse` | `getTransactionSet(PatientIdType patient, TransactionBaseType transaction, String breakTheGlass)` This operation should be used to retrieve a transaction set(given a transaction identifier) within a hub.
`PutAccessRightResponse` | `putAccessRight(AccessRightType accessRight)` This operation should be used to put an access right on a transaction within a hub.
`PutAccessRightResponse` | `putAccessRight(AccessRightType accessRight, String breakTheGlass)` This operation should be used to put an access right on a transaction within a hub.
`PutHCPartyResponse` | `putHCParty(HCPartyAdaptedType hcParty)` This operation should be used to create a healthcare party within a hub.
`PutHCPartyResponse` | `putHCParty(HCPartyAdaptedType hcParty, String breakTheGlass)` This operation should be used to create a healthcare party within a hub.
`PutHCPartyConsentResponse` | `putHCPartyConsent(ConsentHCPartyType consent)` This operation should be used to declare the consent of an healthcare party within a hub.
`PutHCPartyConsentResponse` | `putHCPartyConsent(ConsentHCPartyType consent, String breakTheGlass)` This operation should be used to declare the consent of an healthcare party within a hub.
`PutPatientResponse` | `putPatient(PersonType patient)` This operation should be used to create a patient within a hub.
`PutPatientResponse` | `putPatient(PersonType patient, String breakTheGlass)` This operation should be used to create a patient within a hub.
`PutPatientConsentResponse` | `putPatientConsent(ConsentType patientConsent)` This operation should be used to declare the consent of a patient within a hub.
`PutPatientConsentResponse` | `putPatientConsent(ConsentType patientConsent, String breakTheGlass)` This operation should be used to declare the consent of a patient within a hub.
`PutTherapeuticLinkResponse` | `putTherapeuticLink(TherapeuticLinkType therapeuticLink)` This operation should be used to declare therapeutic link between a patient and a healthcare party within a hub.
`PutTherapeuticLinkResponse` | `putTherapeuticLink(TherapeuticLinkType therapeuticLink, String breakTheGlass)` This operation should be used to declare therapeutic link between a patient and a healthcare party within a hub.
`PutTransactionResponse` | `putTransaction(Kmehrmessage kmehrHeader)` This operation should be used to declare and to store a given transaction within a hub.
`PutTransactionResponse` | `putTransaction(Kmehrmessage kmehrHeader, String breakTheGlass)` This operation should be used to declare and to store a given transaction within a hub.
`PutTransactionSetResponse` | `putTransactionSet(Kmehrmessage kmehrHeader)` This operation should be used to declare and to store a given transaction set within a hub.
`PutTransactionSetResponse` | `putTransactionSet(Kmehrmessage kmehrHeader, String breakTheGlass)` This operation should be used to declare and to store a given transaction set within a hub.
`RequestPublicationResponse` | `requestPublication(PatientIdType patient, TransactionWithPeriodType transaction, String comment)` This operation allows a healthcare party to ask to another healthcare party to publish documents related to a patient.
`RequestPublicationResponse` | `requestPublication(PatientIdType patient, TransactionWithPeriodType transaction, String comment, String breakTheGlass)` This operation allows a healthcare party to ask to another healthcare party to publish documents related to a patient.
`RevokeAccessRightResponse` | `revokeAccessRight(SelectRevokeAccessRightType accessRight)` This operation should be used to revoke access right on a transaction within a hub.
`RevokeAccessRightResponse` | `revokeAccessRight(SelectRevokeAccessRightType accessRight, String breakTheGlass)` This operation should be used to revoke access right on a transaction within a hub.
`RevokeHCPartyConsentResponse` | `revokeHCPartyConsent(ConsentHCPartyType consent)` This operation should be used to revoke the consent of a healthcare party within a hub.
`RevokeHCPartyConsentResponse` | `revokeHCPartyConsent(ConsentHCPartyType consent, String breakTheGlass)` This operation should be used to revoke the consent of a healthcare party within a hub.
`RevokePatientConsentResponse` | `revokePatientConsent(ConsentType patientConsent)` This operation should be used to revoke the consent of a patient within a hub.
`RevokePatientConsentResponse` | `revokePatientConsent(ConsentType patientConsent, String breakTheGlass)` This operation should be used to revoke the consent of a patient within a hub.
`RevokeTherapeuticLinkResponse` | `revokeTherapeuticLink(TherapeuticLinkType therapeuticLink)` This operation should be used to revoke a therapeutic link between a patient and a healthcare party within a hub.
`RevokeTherapeuticLinkResponse` | `revokeTherapeuticLink(TherapeuticLinkType therapeuticLink, String breakTheGlass)` This operation should be used to revoke a therapeutic link between a patient and a healthcare party within a hub.
`RevokeTransactionResponse` | `revokeTransaction(PatientIdType patient, TransactionBaseType transaction)` This operation should be used to 'unpublish' a given transaction.
`RevokeTransactionResponse` | `revokeTransaction(PatientIdType patient, TransactionBaseType transaction, String breakTheGlass)` This operation should be used to 'unpublish' a given transaction.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HubServiceImpl

    public HubServiceImpl(SessionValidator sessionValidator)
                   throws TechnicalConnectorException

  Instantiates a new Hub Service.

  Parameters:
    `sessionValidator` - the session validator
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

Method Detail

### declareTransaction

    public DeclareTransactionResponse declareTransaction(KmehrHeaderDeclareTransaction kmehrHeader,
                                                         String breakTheGlass)
                                                  throws TechnicalConnectorException,
                                                         IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to declare a transaction within a hub.

  Specified by:
    `declareTransaction` in interface `HubService`
  Parameters:
    `kmehrHeader` - A Kmehr message formatted as XML String containing a Patient and a Transaction.
    `breakTheGlass` - Indicates the request as "break-the-glass"
  Returns:
    `DeclareTransactionResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `SessionManagementException`
    `IntraHubBusinessConnectorException`

### declareTransaction

    public DeclareTransactionResponse declareTransaction(KmehrHeaderDeclareTransaction kmehrHeader)
                                                  throws TechnicalConnectorException,
                                                         IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to declare a transaction within a hub.

  Specified by:
    `declareTransaction` in interface `HubService`
  Parameters:
    `kmehrHeader` - A Kmehr message formatted as XML String containing a Patient and a Transaction.
  Returns:
    `DeclareTransactionResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `SessionManagementException`
    `IntraHubBusinessConnectorException`

### putTransaction

    public PutTransactionResponse putTransaction(Kmehrmessage kmehrHeader,
                                                 String breakTheGlass)
                                          throws TechnicalConnectorException,
                                                 IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to declare and to store a given transaction within a hub.

  Specified by:
    `putTransaction` in interface `HubService`
  Parameters:
    `kmehrHeader` - A Kmehr message formatted as XML String containing a Patient and a Transaction.
    `breakTheGlass` - Indicates the request as "break-the-glass"
  Returns:
    `PutTransactionResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException`

### putTransaction

    public PutTransactionResponse putTransaction(Kmehrmessage kmehrHeader)
                                          throws TechnicalConnectorException,
                                                 IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to declare and to store a given transaction within a hub.

  Specified by:
    `putTransaction` in interface `HubService`
  Parameters:
    `kmehrHeader` - A Kmehr message formatted as XML String containing a Patient and a Transaction.
  Returns:
    `PutTransactionResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException`

### revokeTransaction

    public RevokeTransactionResponse revokeTransaction(PatientIdType patient,
                                                       TransactionBaseType transaction,
                                                       String breakTheGlass)
                                                throws TechnicalConnectorException,
                                                       IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to 'unpublish' a given transaction.

  Specified by:
    `revokeTransaction` in interface `HubService`
  Parameters:
    `patient` - Patient for which to revoke the transaction.
    `transaction` - Transaction to revoke.
    `breakTheGlass` - Indicates the request as "break-the-glass"
  Returns:
    `RevokeTransactionResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException`

### revokeTransaction

    public RevokeTransactionResponse revokeTransaction(PatientIdType patient,
                                                       TransactionBaseType transaction)
                                                throws TechnicalConnectorException,
                                                       IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to 'unpublish' a given transaction.

  Specified by:
    `revokeTransaction` in interface `HubService`
  Parameters:
    `patient` - Patient for which to revoke the transaction.
    `transaction` - Transaction to revoke.
  Returns:
    `RevokeTransactionResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException`

### getTransactionList

    public GetTransactionListResponse getTransactionList(PatientIdType patient,
                                                         LocalSearchType searchType,
                                                         TransactionWithPeriodType transaction,
                                                         String breakTheGlass,
                                                         Integer maxRows)
                                                  throws TechnicalConnectorException,
                                                         IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to get the list of available transactions that fulfill some given criteria.

  Specified by:
    `getTransactionList` in interface `HubService`
  Parameters:
    `patient` - Patient for which to retrieve the transaction list.
    `searchType` - The search type (local or national)
    `transaction` - Transaction types to search.
    `breakTheGlass` - Indicates the request as "break-the-glass"
    `maxRows` - The maximum number of results returned by the search
  Returns:
    `GetTransactionListResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### getTransactionList

    public GetTransactionListResponse getTransactionList(PatientIdType patient,
                                                         LocalSearchType searchType,
                                                         TransactionWithPeriodType transaction,
                                                         Integer maxRows)
                                                  throws TechnicalConnectorException,
                                                         IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to get the list of available transactions that fulfill some given criteria.

  Specified by:
    `getTransactionList` in interface `HubService`
  Parameters:
    `patient` - Patient for which to retrieve the transaction list.
    `searchType` - The search type (local or national)
    `transaction` - Transaction types to search.
    `maxRows` - The maximum number of results returned by the search
  Returns:
    `GetTransactionListResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### getTransactionList

    public GetTransactionListResponse getTransactionList(PatientIdType patient,
                                                         LocalSearchType searchType,
                                                         TransactionWithPeriodType transaction,
                                                         String breakTheGlass)
                                                  throws TechnicalConnectorException,
                                                         IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to get the list of available transactions that fulfill some given criteria.

  Specified by:
    `getTransactionList` in interface `HubService`
  Parameters:
    `patient` - Patient for which to retrieve the transaction list.
    `searchType` - The search type (local or national)
    `transaction` - Transaction types to search.
    `breakTheGlass` - Indicates the request as "break-the-glass"
  Returns:
    `GetTransactionListResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### getTransactionList

    public GetTransactionListResponse getTransactionList(PatientIdType patient,
                                                         LocalSearchType searchType,
                                                         TransactionWithPeriodType transaction)
                                                  throws TechnicalConnectorException,
                                                         IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to get the list of available transactions that fulfill some given criteria.

  Specified by:
    `getTransactionList` in interface `HubService`
  Parameters:
    `patient` - Patient for which to retrieve the transaction list.
    `searchType` - The search type (local or national)
    `transaction` - Transaction types to search.
  Returns:
    `GetTransactionListResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### getTransaction

    public GetTransactionResponse getTransaction(PatientIdType patient,
                                                 TransactionBaseType transaction,
                                                 String breakTheGlass)
                                          throws TechnicalConnectorException,
                                                 IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to retrieve a transaction (given a transaction identifier) within a hub.

  Specified by:
    `getTransaction` in interface `HubService`
  Parameters:
    `patient` - Patient for which to retrieve the transaction.
    `transaction` - Transaction identification
    `breakTheGlass` - Indicates the request as "break-the-glass"
  Returns:
    `GetTransactionResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### getTransaction

    public GetTransactionResponse getTransaction(PatientIdType patient,
                                                 TransactionBaseType transaction)
                                          throws TechnicalConnectorException,
                                                 IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to retrieve a transaction (given a transaction identifier) within a hub.

  Specified by:
    `getTransaction` in interface `HubService`
  Parameters:
    `patient` - Patient for which to retrieve the transaction.
    `transaction` - Transaction identification
  Returns:
    `GetTransactionResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### requestPublication

    public RequestPublicationResponse requestPublication(PatientIdType patient,
                                                         TransactionWithPeriodType transaction,
                                                         String comment,
                                                         String breakTheGlass)
                                                  throws TechnicalConnectorException,
                                                         IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation allows a healthcare party to ask to another healthcare party to publish documents related to a patient.

  Specified by:
    `requestPublication` in interface `HubService`
  Parameters:
    `patient` - The Patient for who the publication is.
    `transaction` - Transaction types and Health Care Parties
    `comment` - Comment
    `breakTheGlass` - Indicates the request as "break-the-glass"
  Returns:
    `RequestPublicationResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### requestPublication

    public RequestPublicationResponse requestPublication(PatientIdType patient,
                                                         TransactionWithPeriodType transaction,
                                                         String comment)
                                                  throws TechnicalConnectorException,
                                                         IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation allows a healthcare party to ask to another healthcare party to publish documents related to a patient.

  Specified by:
    `requestPublication` in interface `HubService`
  Parameters:
    `patient` - The Patient for who the publication is.
    `transaction` - Transaction types and Health Care Parties
    `comment` - Comment
  Returns:
    `RequestPublicationResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### putHCParty

    public PutHCPartyResponse putHCParty(HCPartyAdaptedType hcParty,
                                         String breakTheGlass)
                                  throws TechnicalConnectorException,
                                         IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to create a healthcare party within a hub. It can also be used to update the information about this healthcare party.

  Specified by:
    `putHCParty` in interface `HubService`
  Parameters:
    `hcParty` - Information about the healthcare party
    `breakTheGlass` - Indicates the request as "break-the-glass"
  Returns:
    `PutHCPartyResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### putHCParty

    public PutHCPartyResponse putHCParty(HCPartyAdaptedType hcParty)
                                  throws TechnicalConnectorException,
                                         IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to create a healthcare party within a hub. It can also be used to update the information about this healthcare party.

  Specified by:
    `putHCParty` in interface `HubService`
  Parameters:
    `hcParty` - Information about the healthcare party
  Returns:
    `PutHCPartyResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### getHCParty

    public GetHCPartyResponse getHCParty(HCPartyIdType hcParty,
                                         String breakTheGlass)
                                  throws TechnicalConnectorException,
                                         IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to retrieve the data associated with a healthcare party within a hub.

  Specified by:
    `getHCParty` in interface `HubService`
  Parameters:
    `hcParty` - This is the NIHII or SSIN number according to the type of healthcare party. Other local identifiers are allowed.
    `breakTheGlass` - Indicates the request as "break-the-glass"
  Returns:
    `GetHCPartyResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### getHCParty

    public GetHCPartyResponse getHCParty(HCPartyIdType hcParty)
                                  throws TechnicalConnectorException,
                                         IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to retrieve the data associated with a healthcare party within a hub.

  Specified by:
    `getHCParty` in interface `HubService`
  Parameters:
    `hcParty` - This is the NIHII or SSIN number according to the type of healthcare party. Other local identifiers are allowed.
  Returns:
    `GetHCPartyResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### putHCPartyConsent

    public PutHCPartyConsentResponse putHCPartyConsent(ConsentHCPartyType consent,
                                                       String breakTheGlass)
                                                throws TechnicalConnectorException,
                                                       IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to declare the consent of an healthcare party within a hub.

  Specified by:
    `putHCPartyConsent` in interface `HubService`
  Parameters:
    `consent` - A Consent containing a HCParty and the signature date.
    `breakTheGlass` - Indicates the request as "break-the-glass"
  Returns:
    `PutHCPartyConsentResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### putHCPartyConsent

    public PutHCPartyConsentResponse putHCPartyConsent(ConsentHCPartyType consent)
                                                throws TechnicalConnectorException,
                                                       IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to declare the consent of an healthcare party within a hub.

  Specified by:
    `putHCPartyConsent` in interface `HubService`
  Parameters:
    `consent` - A Consent containing a HCParty and the signature date.
  Returns:
    `PutHCPartyConsentResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### getHCPartyConsent

    public GetHCPartyConsentResponse getHCPartyConsent(HCPartyIdType hcPartyId,
                                                       String breakTheGlass)
                                                throws TechnicalConnectorException,
                                                       IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to retrieve the consent of a healthcare party within a hub.

  Specified by:
    `getHCPartyConsent` in interface `HubService`
  Parameters:
    `hcPartyId` - This is the NIHII or INSS number according to the type of healthcare party. Other local identifiers are allowed.
    `breakTheGlass` - Indicates the request as "break-the-glass"
  Returns:
    `GetHCPartyConsentResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### getHCPartyConsent

    public GetHCPartyConsentResponse getHCPartyConsent(HCPartyIdType hcPartyId)
                                                throws TechnicalConnectorException,
                                                       IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to retrieve the consent of a healthcare party within a hub.

  Specified by:
    `getHCPartyConsent` in interface `HubService`
  Parameters:
    `hcPartyId` - This is the NIHII or INSS number according to the type of healthcare party. Other local identifiers are allowed.
  Returns:
    `GetHCPartyConsentResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### revokeHCPartyConsent

    public RevokeHCPartyConsentResponse revokeHCPartyConsent(ConsentHCPartyType consent,
                                                             String breakTheGlass)
                                                      throws TechnicalConnectorException,
                                                             IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to revoke the consent of a healthcare party within a hub.

  Specified by:
    `revokeHCPartyConsent` in interface `HubService`
  Parameters:
    `consent` - A Consent containing a HCParty and the signature date.
    `breakTheGlass` - Indicates the request as "break-the-glass"
  Returns:
    `RevokeHCPartyConsentResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException`

### revokeHCPartyConsent

    public RevokeHCPartyConsentResponse revokeHCPartyConsent(ConsentHCPartyType consent)
                                                      throws TechnicalConnectorException,
                                                             IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to revoke the consent of a healthcare party within a hub.

  Specified by:
    `revokeHCPartyConsent` in interface `HubService`
  Parameters:
    `consent` - A Consent containing a HCParty and the signature date.
  Returns:
    `RevokeHCPartyConsentResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException`

### putPatient

    public PutPatientResponse putPatient(PersonType patient,
                                         String breakTheGlass)
                                  throws TechnicalConnectorException,
                                         IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to create a patient within a hub. It can also be used to update the information about a patient.

  Specified by:
    `putPatient` in interface `HubService`
  Parameters:
    `patient` - Information about a patient
    `breakTheGlass` - Indicates the request as "break-the-glass"
  Returns:
    `PutPatientResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### putPatient

    public PutPatientResponse putPatient(PersonType patient)
                                  throws TechnicalConnectorException,
                                         IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to create a patient within a hub. It can also be used to update the information about a patient.

  Specified by:
    `putPatient` in interface `HubService`
  Parameters:
    `patient` - Information about a patient
  Returns:
    `PutPatientResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### getPatient

    public GetPatientResponse getPatient(PatientIdType patientId,
                                         String breakTheGlass)
                                  throws TechnicalConnectorException,
                                         IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to declare the consent of an healthcare party within a hub.

  Specified by:
    `getPatient` in interface `HubService`
  Parameters:
    `patientId` - Patient contains only the identifiers of the patient. Several identifiers of the same patient are allowed.
    `breakTheGlass` - Indicates the request as "break-the-glass"
  Returns:
    `GetPatientResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### getPatient

    public GetPatientResponse getPatient(PatientIdType patientId)
                                  throws TechnicalConnectorException,
                                         IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to declare the consent of an healthcare party within a hub.

  Specified by:
    `getPatient` in interface `HubService`
  Parameters:
    `patientId` - Patient contains only the identifiers of the patient. Several identifiers of the same patient are allowed.
  Returns:
    `GetPatientResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### putPatientConsent

    public PutPatientConsentResponse putPatientConsent(ConsentType patientConsent,
                                                       String breakTheGlass)
                                                throws TechnicalConnectorException,
                                                       IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to declare the consent of a patient within a hub.

  Specified by:
    `putPatientConsent` in interface `HubService`
  Parameters:
    `patientConsent` - Patient Consent data structure that contains signing date of the consent, scope of the consent, 'retrospective'/ 'prospective' attribute.
    `breakTheGlass` - Indicates the request as "break-the-glass"
  Returns:
    `PutPatientConsentResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### putPatientConsent

    public PutPatientConsentResponse putPatientConsent(ConsentType patientConsent)
                                                throws TechnicalConnectorException,
                                                       IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to declare the consent of a patient within a hub.

  Specified by:
    `putPatientConsent` in interface `HubService`
  Parameters:
    `patientConsent` - Patient Consent data structure that contains signing date of the consent, scope of the consent, 'retrospective'/ 'prospective' attribute.
  Returns:
    `PutPatientConsentResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### getPatientConsent

    public GetPatientConsentResponse getPatientConsent(SelectGetPatientConsentType patientConsent,
                                                       String breakTheGlass)
                                                throws TechnicalConnectorException,
                                                       IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to retrieve the consent of a patient within a hub.

  Specified by:
    `getPatientConsent` in interface `HubService`
  Parameters:
    `patientConsent` - Contains the Patient Identifiers and the scope of the consent
    `breakTheGlass` - Indicates the request as "break-the-glass"
  Returns:
    `GetPatientConsentResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### getPatientConsent

    public GetPatientConsentResponse getPatientConsent(SelectGetPatientConsentType patientConsent)
                                                throws TechnicalConnectorException,
                                                       IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to retrieve the consent of a patient within a hub.

  Specified by:
    `getPatientConsent` in interface `HubService`
  Parameters:
    `patientConsent` - Contains the Patient Identifiers and the scope of the consent
  Returns:
    `GetPatientConsentResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### revokePatientConsent

    public RevokePatientConsentResponse revokePatientConsent(ConsentType patientConsent,
                                                             String breakTheGlass)
                                                      throws TechnicalConnectorException,
                                                             IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to revoke the consent of a patient within a hub.

  Specified by:
    `revokePatientConsent` in interface `HubService`
  Parameters:
    `patientConsent` - Patient Consent data structure that contains signing date of the consent, scope of the consent, 'retrospective' 'prospective' attribute.
    `breakTheGlass` - Indicates the request as "break-the-glass"
  Returns:
    `RevokePatientConsentResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### revokePatientConsent

    public RevokePatientConsentResponse revokePatientConsent(ConsentType patientConsent)
                                                      throws TechnicalConnectorException,
                                                             IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to revoke the consent of a patient within a hub.

  Specified by:
    `revokePatientConsent` in interface `HubService`
  Parameters:
    `patientConsent` - Patient Consent data structure that contains signing date of the consent, scope of the consent, 'retrospective' 'prospective' attribute.
  Returns:
    `RevokePatientConsentResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### putTherapeuticLink

    public PutTherapeuticLinkResponse putTherapeuticLink(TherapeuticLinkType therapeuticLink,
                                                         String breakTheGlass)
                                                  throws TechnicalConnectorException,
                                                         IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to declare therapeutic link between a patient and a healthcare party within a hub.

  Specified by:
    `putTherapeuticLink` in interface `HubService`
  Parameters:
    `therapeuticLink` - A Therapeutic link containing Patient Identifier, HCP identifier, Link type, link start date , link end date (optional), comment (optional)).
    `breakTheGlass` - Indicates the request as "break-the-glass"
  Returns:
    `PutTherapeuticLinkResponse` the WS response object
  Throws:
    `SessionManagementException` - the session management exception
    `TechnicalConnectorException`
    `IntraHubBusinessConnectorException`

### putTherapeuticLink

    public PutTherapeuticLinkResponse putTherapeuticLink(TherapeuticLinkType therapeuticLink)
                                                  throws TechnicalConnectorException,
                                                         IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to declare therapeutic link between a patient and a healthcare party within a hub.

  Specified by:
    `putTherapeuticLink` in interface `HubService`
  Parameters:
    `therapeuticLink` - A Therapeutic link containing Patient Identifier, HCP identifier, Link type, link start date , link end date (optional), comment (optional)).
  Returns:
    `PutTherapeuticLinkResponse` the WS response object
  Throws:
    `SessionManagementException` - the session management exception
    `TechnicalConnectorException`
    `IntraHubBusinessConnectorException`

### getTherapeuticLink

    public GetTherapeuticLinkResponse getTherapeuticLink(SelectGetHCPartyPatientConsentType patientConsent,
                                                         String breakTheGlass)
                                                  throws TechnicalConnectorException,
                                                         IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to get therapeutic link between a patient and a healthcare party within a hub.

  Specified by:
    `getTherapeuticLink` in interface `HubService`
  Parameters:
    `patientConsent` - Contains the Patient Identifiers and the scope of the consent
    `breakTheGlass` - Indicates the request as "break-the-glass"
  Returns:
    `GetTherapeuticLinkResponse` the WS response object
  Throws:
    `SessionManagementException` - the session management exception
    `TechnicalConnectorException`
    `IntraHubBusinessConnectorException`

### getTherapeuticLink

    public GetTherapeuticLinkResponse getTherapeuticLink(SelectGetHCPartyPatientConsentType patientConsent)
                                                  throws TechnicalConnectorException,
                                                         IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to get therapeutic link between a patient and a healthcare party within a hub.

  Specified by:
    `getTherapeuticLink` in interface `HubService`
  Parameters:
    `patientConsent` - Contains the Patient Identifiers and the scope of the consent
  Returns:
    `GetTherapeuticLinkResponse` the WS response object
  Throws:
    `SessionManagementException` - the session management exception
    `TechnicalConnectorException`
    `IntraHubBusinessConnectorException`

### revokeTherapeuticLink

    public RevokeTherapeuticLinkResponse revokeTherapeuticLink(TherapeuticLinkType therapeuticLink,
                                                               String breakTheGlass)
                                                        throws TechnicalConnectorException,
                                                               IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to revoke a therapeutic link between a patient and a healthcare party within a hub.

  Specified by:
    `revokeTherapeuticLink` in interface `HubService`
  Parameters:
    `therapeuticLink` - the therapeutic link
    `breakTheGlass` - Indicates the request as "break-the-glass"
  Returns:
    `RevokeTherapeuticLinkResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### revokeTherapeuticLink

    public RevokeTherapeuticLinkResponse revokeTherapeuticLink(TherapeuticLinkType therapeuticLink)
                                                        throws TechnicalConnectorException,
                                                               IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to revoke a therapeutic link between a patient and a healthcare party within a hub.

  Specified by:
    `revokeTherapeuticLink` in interface `HubService`
  Parameters:
    `therapeuticLink` - the therapeutic link
  Returns:
    `RevokeTherapeuticLinkResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### putAccessRight

    public PutAccessRightResponse putAccessRight(AccessRightType accessRight,
                                                 String breakTheGlass)
                                          throws TechnicalConnectorException,
                                                 IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to put an access right on a transaction within a hub.

  Specified by:
    `putAccessRight` in interface `HubService`
  Parameters:
    `accessRight` - the access right
    `breakTheGlass` - Indicates the request as "break-the-glass"
  Returns:
    `PutAccessRightResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### putAccessRight

    public PutAccessRightResponse putAccessRight(AccessRightType accessRight)
                                          throws TechnicalConnectorException,
                                                 IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to put an access right on a transaction within a hub.

  Specified by:
    `putAccessRight` in interface `HubService`
  Parameters:
    `accessRight` - the access right
  Returns:
    `PutAccessRightResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### getAccessRight

    public GetAccessRightResponse getAccessRight(TransactionIdType transaction,
                                                 String breakTheGlass)
                                          throws TechnicalConnectorException,
                                                 IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to get access rights on a transaction within a hub.

  Specified by:
    `getAccessRight` in interface `HubService`
  Parameters:
    `transaction` - A transaction ID Type containing the Transaction Identifier.
    `breakTheGlass` - Indicates the request as "break-the-glass"
  Returns:
    `GetAccessRightResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### getAccessRight

    public GetAccessRightResponse getAccessRight(TransactionIdType transaction)
                                          throws TechnicalConnectorException,
                                                 IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to get access rights on a transaction within a hub.

  Specified by:
    `getAccessRight` in interface `HubService`
  Parameters:
    `transaction` - A transaction ID Type containing the Transaction Identifier.
  Returns:
    `GetAccessRightResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### revokeAccessRight

    public RevokeAccessRightResponse revokeAccessRight(SelectRevokeAccessRightType accessRight,
                                                       String breakTheGlass)
                                                throws TechnicalConnectorException,
                                                       IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to revoke access right on a transaction within a hub.

  Specified by:
    `revokeAccessRight` in interface `HubService`
  Parameters:
    `accessRight` - Contains a transaction and a HC Party
    `breakTheGlass` - Indicates the request as "break-the-glass"
  Returns:
    `RevokeAccessRightResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### revokeAccessRight

    public RevokeAccessRightResponse revokeAccessRight(SelectRevokeAccessRightType accessRight)
                                                throws TechnicalConnectorException,
                                                       IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to revoke access right on a transaction within a hub.

  Specified by:
    `revokeAccessRight` in interface `HubService`
  Parameters:
    `accessRight` - Contains a transaction and a HC Party
  Returns:
    `RevokeAccessRightResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### getTransactionSet

    public GetTransactionSetResponse getTransactionSet(PatientIdType patient,
                                                       TransactionBaseType transaction,
                                                       String breakTheGlass)
                                                throws TechnicalConnectorException,
                                                       IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to retrieve a transaction set(given a transaction identifier) within a hub.

  Specified by:
    `getTransactionSet` in interface `HubService`
  Parameters:
    `patient` - Patient for which to retrieve the transaction.
    `transaction` - Transaction identification
    `breakTheGlass` - Indicates the request as "break-the-glass"
  Returns:
    `GetTransactionResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### getTransactionSet

    public GetTransactionSetResponse getTransactionSet(PatientIdType patient,
                                                       TransactionBaseType transaction)
                                                throws TechnicalConnectorException,
                                                       IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to retrieve a transaction set(given a transaction identifier) within a hub.

  Specified by:
    `getTransactionSet` in interface `HubService`
  Parameters:
    `patient` - Patient for which to retrieve the transaction.
    `transaction` - Transaction identification
  Returns:
    `GetTransactionResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### putTransactionSet

    public PutTransactionSetResponse putTransactionSet(Kmehrmessage kmehrHeader,
                                                       String breakTheGlass)
                                                throws TechnicalConnectorException,
                                                       IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to declare and to store a given transaction set within a hub.

  Specified by:
    `putTransactionSet` in interface `HubService`
  Parameters:
    `kmehrHeader` - A Kmehr message formatted as XML String containing a Patient and a Transaction.
    `breakTheGlass` - Indicates the request as "break-the-glass"
  Returns:
    `PutTransactionResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException`

### putTransactionSet

    public PutTransactionSetResponse putTransactionSet(Kmehrmessage kmehrHeader)
                                                throws TechnicalConnectorException,
                                                       IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to declare and to store a given transaction set within a hub.

  Specified by:
    `putTransactionSet` in interface `HubService`
  Parameters:
    `kmehrHeader` - A Kmehr message formatted as XML String containing a Patient and a Transaction.
  Returns:
    `PutTransactionResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException`

### getLatestUpdate

    public GetLatestUpdateResponse getLatestUpdate(SelectGetLatestUpdateType latestUpdate,
                                                   String breakTheGlass)
                                            throws TechnicalConnectorException,
                                                   IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to retrieve the time of the last change made to a transaction.

  Specified by:
    `getLatestUpdate` in interface `HubService`
  Parameters:
    `latestUpdate` - Contains the search parameters for the latest update.
    `breakTheGlass` - Indicates the request as "break-the-glass"
  Returns:
    `GetLatestUpdateResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### getLatestUpdate

    public GetLatestUpdateResponse getLatestUpdate(SelectGetLatestUpdateType latestUpdate)
                                            throws TechnicalConnectorException,
                                                   IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to retrieve the time of the last change made to a transaction.

  Specified by:
    `getLatestUpdate` in interface `HubService`
  Parameters:
    `latestUpdate` - Contains the search parameters for the latest update.
  Returns:
    `GetLatestUpdateResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### getPatientAuditTrail

    public GetPatientAuditTrailResponse getPatientAuditTrail(SelectGetPatientAuditTrailType patientAuditTrail,
                                                             String breakTheGlass)
                                                      throws TechnicalConnectorException,
                                                             IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to get the list of transaction accesses for a given patient.

  Specified by:
    `getPatientAuditTrail` in interface `HubService`
  Parameters:
    `patientAuditTrail` - Contains the search parameters for the audit trail.
    `breakTheGlass` - Indicates the request as "break-the-glass"
  Returns:
    `GetPatientAuditTrailResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### getPatientAuditTrail

    public GetPatientAuditTrailResponse getPatientAuditTrail(SelectGetPatientAuditTrailType patientAuditTrail)
                                                      throws TechnicalConnectorException,
                                                             IntraHubBusinessConnectorException

  Description copied from interface: `HubService`
  This operation should be used to get the list of transaction accesses for a given patient.

  Specified by:
    `getPatientAuditTrail` in interface `HubService`
  Parameters:
    `patientAuditTrail` - Contains the search parameters for the audit trail.
  Returns:
    `GetPatientAuditTrailResponse` the WS response object
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSDENTIST 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.